#!/usr/bin/python
"""Usage: iblkfind imagefile.iso s1 [s2 s3 ...] ...

Reports the files in which sectors s1, s2, s3... are located.
"""
import fiwalk,sys


if __name__=="__main__":
    from optparse import OptionParser
    parser = OptionParser()
    parser.usage = '%prog [options] image.iso  s1 [s2 s3 s3 ...]'
    (options,args) = parser.parse_args()

    if len(args)<1:
        parser.print_help()
        sys.exit(1)

    sectors = set([int(s) for s in args[1:]])

    def process(fi):
        for s in sectors:
            if fi.has_sector(s):
                print "%d\t%s" % (s,fi.filename())
            
    fiwalk.fiwalk_using_sax(imagefile=open(args[0]),callback=process)
